Bug 1207861 - Python 3: historical transactions that had multiple problems causes tracebacks
Python 3: historical transactions that had multiple problems causes tracebacks
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Honza Silhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-03-31 17:49 EDT by Kevin Fenzi
Modified: 2015-05-08 03:27 EDT (History)
8 users (show)

See Also:
Fixed In Version: dnf-plugins-core-0.1.7-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-05-08 03:27:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Fenzi 2015-03-31 17:49:30 EDT
% sudo dnf migrate
Traceback (most recent call last):
  File "/bin/dnf", line 35, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 185, in user_main
    errcode = main(args)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 84, in main
    return _main(base, args)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 134, in _main
    cli.run()
  File "/usr/lib/python3.4/site-packages/dnf/cli/cli.py", line 1071, in run
    return self.command.run(self.base.extcmds)
  File "/usr/lib/python3.4/site-packages/dnf-plugins/migrate.py", line 80, in run
    self.migrate_history()
  File "/usr/lib/python3.4/site-packages/dnf-plugins/migrate.py", line 87, in migrate_history
    self.migrate_history_transction(yum_history, dnf_history)
  File "/usr/lib/python3.4/site-packages/dnf-plugins/migrate.py", line 152, in migrate_history_transction
    for prob in t.rpmdb_problems:
  File "/usr/lib/python3.4/site-packages/dnf/yum/history.py", line 396, in <lambda>
    rpmdb_problems = property(fget=lambda self: self._getProblems())
  File "/usr/lib/python3.4/site-packages/dnf/yum/history.py", line 393, in _getProblems
    self._loaded_PROB = sorted(self._history._old_problems(self.tid))
TypeError: unorderable types: YumHistoryRpmdbProblem() < YumHistoryRpmdbProblem()
sudo dnf migrate  5.97s user 0.24s system 37% cpu 16.743 total

dnf-0.6.5-1.fc23.noarch

Happy to gather more info, etc.
Comment 1 Radek Holy 2015-04-01 03:50:32 EDT
Hello, thank you for the report. I assume that the version of python3-dnf-plugins-extras-migrate on your system is 0.0.6-1, right? The most recent version (0.0.6-2) no longer ships a Python 3 version of the plugin because it uses YUM API now which is not accessible from Python 3.

Can you please confirm if you can reproduce it with "dnf migrate history" and then with "dnf-2 migrate history"? Ideally, back up your "/var/lib/yum/history" and "/var/lib/dnf/history" before.
Comment 2 Kevin Fenzi 2015-04-01 10:20:41 EDT
Yes: python3-dnf-plugins-extras-migrate-0.0.6-1.fc23.noarch

[root@voldemort ~]# dnf-3 migrate
Traceback (most recent call last):
  File "/bin/dnf-3", line 35, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 185, in user_main
    errcode = main(args)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 84, in main
    return _main(base, args)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 134, in _main
    cli.run()
  File "/usr/lib/python3.4/site-packages/dnf/cli/cli.py", line 1071, in run
    return self.command.run(self.base.extcmds)
  File "/usr/lib/python3.4/site-packages/dnf-plugins/migrate.py", line 80, in run
    self.migrate_history()
  File "/usr/lib/python3.4/site-packages/dnf-plugins/migrate.py", line 87, in migrate_history
    self.migrate_history_transction(yum_history, dnf_history)
  File "/usr/lib/python3.4/site-packages/dnf-plugins/migrate.py", line 152, in migrate_history_transction
    for prob in t.rpmdb_problems:
  File "/usr/lib/python3.4/site-packages/dnf/yum/history.py", line 396, in <lambda>
    rpmdb_problems = property(fget=lambda self: self._getProblems())
  File "/usr/lib/python3.4/site-packages/dnf/yum/history.py", line 393, in _getProblems
    self._loaded_PROB = sorted(self._history._old_problems(self.tid))
TypeError: unorderable types: YumHistoryRpmdbProblem() < YumHistoryRpmdbProblem()
[root@voldemort ~]# dnf-2 migrate
No such command: migrate. Please use /bin/dnf-2 --help
It could be a DNF plugin command.
Comment 3 Radek Holy 2015-04-01 10:52:23 EDT
python-dnf-plugins-extras-migrate is missing. Can you please install it and do what I asked above? Please note the "history" argument in the "dnf[-2] migrate history" commands since migrating the other data does not affect this issue.
Comment 4 Kevin Fenzi 2015-04-01 11:41:01 EDT
Sorry. 

% sudo dnf-2 migrate history
sudo dnf-2 migrate history  16.20s user 0.64s system 23% cpu 1:12.97 total

So, the dnf-2 one completed as expected.
Comment 5 Kevin Fenzi 2015-04-01 11:53:00 EDT
Additional info: 

After doing the dnf-2 migrate history above: 

'dnf history list' gives: 

...a bunch of history entries...
  2253 | Kevin Fenzi <kevin>      | 2014-09-26 20:18 | Install        |    1   
  2252 | Kevin Fenzi <kevin>      | 2014-09-26 15:57 | Update         |   39 E<
  2251 | Kevin Fenzi <kevin>      | 2014-09-25 20:23 | Erase          |  149 >E
Traceback (most recent call last):
  File "/bin/dnf", line 35, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 185, in user_main
    errcode = main(args)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 84, in main
    return _main(base, args)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 134, in _main
    cli.run()
  File "/usr/lib/python3.4/site-packages/dnf/cli/cli.py", line 1071, in run
    return self.command.run(self.base.extcmds)
  File "/usr/lib/python3.4/site-packages/dnf/cli/commands/__init__.py", line 1217, in run
    ret = self.output.historyListCmd(extcmds)
  File "/usr/lib/python3.4/site-packages/dnf/cli/output.py", line 1378, in historyListCmd
    elif old.rpmdb_problems:
  File "/usr/lib/python3.4/site-packages/dnf/yum/history.py", line 396, in <lambda>
    rpmdb_problems = property(fget=lambda self: self._getProblems())
  File "/usr/lib/python3.4/site-packages/dnf/yum/history.py", line 393, in _getProblems
    self._loaded_PROB = sorted(self._history._old_problems(self.tid))
TypeError: unorderable types: YumHistoryRpmdbProblem() < YumHistoryRpmdbProblem()

% sudo dnf history info 2250
Using metadata from Wed Apr  1 08:16:10 2015 (1:35:19 hours old)
Transaction ID : 2250
Begin time     : Thu Sep 25 18:01:30 2014
Begin rpmdb    : 2834:47b33d952032ebf0526f1886ce84c27190922d84
End time       :            18:01:31 2014 (1 seconds)
End rpmdb      : 2835:3f6c21da2845013f1fae971ea44bb171d5be74c2
User           : Kevin Fenzi <kevin>
Return-Code    : Success
Command Line   : install dash
Transaction performed with:
    Upgraded      rpm-4.12.0-0.rc1.2.fc22.x86_64           (unknown)
    Upgraded      rpm-4.12.0.1-1.fc22.x86_64               @rawhide/21
    Upgraded      yum-3.4.3-155.fc22.noarch                @rawhide/21
    Installed     yum-metadata-parser-1.1.4-14.fc22.x86_64 (unknown)
Packages Altered:
 ** Install dash-0.5.7-11.fc22.x86_64 (unknown)
Traceback (most recent call last):
  File "/bin/dnf", line 35, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 185, in user_main
    errcode = main(args)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 84, in main
    return _main(base, args)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 134, in _main
    cli.run()
  File "/usr/lib/python3.4/site-packages/dnf/cli/cli.py", line 1071, in run
    return self.command.run(self.base.extcmds)
  File "/usr/lib/python3.4/site-packages/dnf/cli/commands/__init__.py", line 1219, in run
    ret = self.output.historyInfoCmd(extcmds)
  File "/usr/lib/python3.4/site-packages/dnf/cli/output.py", line 1481, in historyInfoCmd
    self._historyInfoCmd(tid, pats)
  File "/usr/lib/python3.4/site-packages/dnf/cli/output.py", line 1629, in _historyInfoCmd
    if old.rpmdb_problems:
  File "/usr/lib/python3.4/site-packages/dnf/yum/history.py", line 396, in <lambda>
    rpmdb_problems = property(fget=lambda self: self._getProblems())
  File "/usr/lib/python3.4/site-packages/dnf/yum/history.py", line 393, in _getProblems
    self._loaded_PROB = sorted(self._history._old_problems(self.tid))
TypeError: unorderable types: YumHistoryRpmdbProblem() < YumHistoryRpmdbProblem()

% sudo dnf-2 history info 2250
Using metadata from Wed Apr  1 08:16:10 2015 (1:35:43 hours old)
Transaction ID : 2250
Begin time     : Thu Sep 25 18:01:30 2014
Begin rpmdb    : 2834:47b33d952032ebf0526f1886ce84c27190922d84
End time       :            18:01:31 2014 (1 seconds)
End rpmdb      : 2835:3f6c21da2845013f1fae971ea44bb171d5be74c2
User           : Kevin Fenzi <kevin>
Return-Code    : Success
Command Line   : install dash
Transaction performed with:
    Upgraded      rpm-4.12.0-0.rc1.2.fc22.x86_64           (unknown)
    Upgraded      rpm-4.12.0.1-1.fc22.x86_64               @rawhide/21
    Upgraded      yum-3.4.3-155.fc22.noarch                @rawhide/21
    Installed     yum-metadata-parser-1.1.4-14.fc22.x86_64 (unknown)
Packages Altered:
 ** Install dash-0.5.7-11.fc22.x86_64 (unknown)
Rpmdb Problems:
    duplicate: PyYAML-3.11-6.fc22.x86_64 is a duplicate with
             : PyYAML-3.11-5.fc22.x86_64
        Upgraded      PyYAML-3.11-6.fc22.x86_64 @koji/22
    duplicate: abattis-cantarell-fonts-0.0.16-1.fc22.noarch is a duplicate with
             : abattis-cantarell-fonts-0.0.15-2.fc21.noarch
        Upgraded      abattis-cantarell-fonts-0.0.16-1.fc22.noarch (unknown)
    duplicate: adwaita-gtk2-theme-3.14.0-1.fc22.x86_64 is a duplicate with
             : adwaita-gtk2-theme-3.13.90-2.fc22.x86_64
        Upgraded      adwaita-gtk2-theme-3.14.0-1.fc22.x86_64 (unknown)
    duplicate: adwaita-icon-theme-3.14.0-1.fc22.noarch is a duplicate with
             : adwaita-icon-theme-3.13.91-1.fc22.noarch
        Upgraded      adwaita-icon-theme-3.14.0-1.fc22.noarch (unknown)
    duplicate: android-tools-20130123git98d0789-5.fc22.x86_64 is a duplicate
             : with android-tools-20130123git98d0789-4.fc22.x86_64
        Upgraded      android-tools-20130123git98d0789-5.fc22.x86_64 (unknown)
    duplicate: apr-util-1.5.4-1.fc22.x86_64 is a duplicate with
             : apr-util-1.5.3-3.fc22.x86_64
        Installed     apr-util-1.5.4-1.fc22.x86_64 (unknown)
    duplicate: at-spi2-atk-2.14.0-1.fc22.x86_64 is a duplicate with
             : at-spi2-atk-2.13.4-2.fc22.x86_64
        Upgraded      at-spi2-atk-2.14.0-1.fc22.x86_64 (unknown)
    duplicate: at-spi2-core-2.14.0-1.fc22.x86_64 is a duplicate with
             : at-spi2-core-2.13.90-1.fc22.x86_64
        Upgraded      at-spi2-core-2.14.0-1.fc22.x86_64 (unknown)
    duplicate: atk-2.14.0-1.fc22.x86_64 is a duplicate with
             : atk-2.13.90-1.fc22.x86_64
        Upgraded      atk-2.14.0-1.fc22.x86_64 (unknown)
    duplicate: blobby-1.0-2svn1541.fc22.x86_64 is a duplicate with
             : blobby-1.0-1.fc22.x86_64
        Installed     blobby-1.0-2svn1541.fc22.x86_64 (unknown)
    duplicate: bluez-5.23-1.fc22.x86_64 is a duplicate with
             : bluez-5.18-3.fc22.x86_64
        Upgraded      bluez-5.23-1.fc22.x86_64 (unknown)
    duplicate: bluez-cups-5.23-1.fc22.x86_64 is a duplicate with
             : bluez-cups-5.18-3.fc22.x86_64
        Upgraded      bluez-cups-5.23-1.fc22.x86_64 (unknown)
    duplicate: bluez-libs-5.23-1.fc22.x86_64 is a duplicate with
             : bluez-libs-5.18-3.fc22.x86_64
        Upgraded      bluez-libs-5.23-1.fc22.x86_64 (unknown)
    duplicate: ca-certificates-2014.2.1-3.fc22.noarch is a duplicate with
             : ca-certificates-2014.2.1-2.fc22.noarch
        Upgraded      ca-certificates-2014.2.1-3.fc22.noarch (unknown)
    duplicate: colord-libs-1.2.3-2.fc22.x86_64 is a duplicate with
             : colord-libs-1.2.3-1.fc22.x86_64
        Upgraded      colord-libs-1.2.3-2.fc22.x86_64 (unknown)
    duplicate: 1:control-center-filesystem-3.14.0-1.fc22.x86_64 is a duplicate
             : with 1:control-center-filesystem-3.13.91-1.fc22.x86_64
        Upgraded      1:control-center-filesystem-3.14.0-1.fc22.x86_64 (unknown)
    duplicate: cpp-4.9.1-10.fc22.x86_64 is a duplicate with
             : cpp-4.9.1-9.fc22.x86_64
        Upgraded      cpp-4.9.1-10.fc22.x86_64 (unknown)
    duplicate: crash-7.0.8-1.fc22.x86_64 is a duplicate with
             : crash-7.0.7-3.fc22.x86_64
        Upgraded      crash-7.0.8-1.fc22.x86_64 (unknown)
    duplicate: cronie-1.4.12-1.fc22.x86_64 is a duplicate with
             : cronie-1.4.11-9.fc22.x86_64
        Upgraded      cronie-1.4.12-1.fc22.x86_64 (unknown)
    duplicate: cronie-anacron-1.4.12-1.fc22.x86_64 is a duplicate with
             : cronie-anacron-1.4.11-9.fc22.x86_64
        Upgraded      cronie-anacron-1.4.12-1.fc22.x86_64 (unknown)
    duplicate: dconf-0.22.0-1.fc22.x86_64 is a duplicate with
             : dconf-0.21.0-2.fc22.x86_64
        Upgraded      dconf-0.22.0-1.fc22.x86_64 @koji/21
    duplicate: device-mapper-multipath-libs-0.4.9-68.fc22.x86_64 is a duplicate
             : with device-mapper-multipath-libs-0.4.9-67.fc22.x86_64
        Upgraded      device-mapper-multipath-libs-0.4.9-68.fc22.x86_64 (unknown)
    duplicate: 2:ethtool-3.16-1.fc22.x86_64 is a duplicate with
             : 2:ethtool-3.15-2.fc22.x86_64
        Upgraded      2:ethtool-3.16-1.fc22.x86_64 @rawhide/21
    duplicate: fedora-logos-21.0.4-1.fc22.x86_64 is a duplicate with
             : fedora-logos-21.0.3-3.fc22.x86_64
        Upgraded      fedora-logos-21.0.4-1.fc22.x86_64 (unknown)
    duplicate: gcr-3.14.0-1.fc22.x86_64 is a duplicate with
             : gcr-3.13.91-1.fc22.x86_64
        Upgraded      gcr-3.14.0-1.fc22.x86_64 @rawhide/21
    duplicate: gdb-7.8-23.fc22.x86_64 is a duplicate with gdb-7.8-21.fc22.x86_64
        Upgraded      gdb-7.8-23.fc22.x86_64 (unknown)
    duplicate: ghostscript-9.15-1.fc22.x86_64 is a duplicate with
             : ghostscript-9.14-6.fc22.x86_64
        Upgraded      ghostscript-9.15-1.fc22.x86_64 (unknown)
    duplicate: glib-networking-2.42.0-1.fc22.x86_64 is a duplicate with
             : glib-networking-2.41.4-3.fc22.x86_64
        Upgraded      glib-networking-2.42.0-1.fc22.x86_64 (unknown)
    duplicate: glib2-2.42.0-1.fc22.x86_64 is a duplicate with
             : glib2-2.41.4-3.fc22.x86_64
        Upgraded      glib2-2.42.0-1.fc22.x86_64 (unknown)
    duplicate: glibc-2.20.90-4.fc22.x86_64 is a duplicate with
             : glibc-2.20.90-1.fc22.x86_64
        Upgraded      glibc-2.20.90-4.fc22.x86_64 @rawhide/21
    duplicate: glibc-common-2.20.90-4.fc22.x86_64 is a duplicate with
             : glibc-common-2.20.90-1.fc22.x86_64
        Upgraded      glibc-common-2.20.90-4.fc22.x86_64 @rawhide/21
    duplicate: glibc-devel-2.20.90-4.fc22.x86_64 is a duplicate with
             : glibc-devel-2.20.90-1.fc22.x86_64
        Upgraded      glibc-devel-2.20.90-4.fc22.x86_64 @rawhide/21
    duplicate: glibc-headers-2.20.90-4.fc22.x86_64 is a duplicate with
             : glibc-headers-2.20.90-1.fc22.x86_64
        Upgraded      glibc-headers-2.20.90-4.fc22.x86_64 @rawhide/21
    duplicate: gnome-desktop3-3.14.0-2.fc22.x86_64 is a duplicate with
             : gnome-desktop3-3.13.91-1.fc22.x86_64
        Upgraded      gnome-desktop3-3.14.0-2.fc22.x86_64 (unknown)
    duplicate: gnome-keyring-3.14.0-1.fc22.x86_64 is a duplicate with
             : gnome-keyring-3.13.91-1.fc22.x86_64
        Upgraded      gnome-keyring-3.14.0-1.fc22.x86_64 @koji/21
    duplicate: gnome-keyring-pam-3.14.0-1.fc22.x86_64 is a duplicate with
             : gnome-keyring-pam-3.13.91-1.fc22.x86_64
        Upgraded      gnome-keyring-pam-3.14.0-1.fc22.x86_64 @koji/21
    duplicate: gnome-session-3.14.0-1.fc22.x86_64 is a duplicate with
             : gnome-session-3.13.3-2.fc22.x86_64
        Upgraded      gnome-session-3.14.0-1.fc22.x86_64 (unknown)
    duplicate: gnome-session-xsession-3.14.0-1.fc22.x86_64 is a duplicate with
             : gnome-session-xsession-3.13.3-2.fc22.x86_64
        Upgraded      gnome-session-xsession-3.14.0-1.fc22.x86_64 (unknown)
    duplicate: gnome-themes-standard-3.14.0-1.fc22.x86_64 is a duplicate with
             : gnome-themes-standard-3.13.90-2.fc22.x86_64
        Upgraded      gnome-themes-standard-3.14.0-1.fc22.x86_64 (unknown)
    duplicate: gnome-user-docs-3.14.0-1.fc22.noarch is a duplicate with
             : gnome-user-docs-3.13.91-1.fc22.noarch
        Upgraded      gnome-user-docs-3.14.0-1.fc22.noarch (unknown)
    duplicate: gnutls-3.3.8-2.fc22.x86_64 is a duplicate with
             : gnutls-3.3.7-1.fc22.x86_64
        Upgraded      gnutls-3.3.8-2.fc22.x86_64 (unknown)
    duplicate: gnutls-dane-3.3.8-2.fc22.x86_64 is a duplicate with
             : gnutls-dane-3.3.7-1.fc22.x86_64
        Upgraded      gnutls-dane-3.3.8-2.fc22.x86_64 (unknown)
    duplicate: gnutls-utils-3.3.8-2.fc22.x86_64 is a duplicate with
             : gnutls-utils-3.3.7-1.fc22.x86_64
        Upgraded      gnutls-utils-3.3.8-2.fc22.x86_64 (unknown)
    duplicate: gobject-introspection-1.42.0-1.fc22.x86_64 is a duplicate with
             : gobject-introspection-1.41.91-1.fc22.x86_64
        Upgraded      gobject-introspection-1.42.0-1.fc22.x86_64 @rawhide/21
    duplicate: gsettings-desktop-schemas-3.14.0-1.fc22.x86_64 is a duplicate
             : with gsettings-desktop-schemas-3.13.92-1.fc22.x86_64
        Upgraded      gsettings-desktop-schemas-3.14.0-1.fc22.x86_64 (unknown)
    duplicate: gstreamer1-1.4.2-1.fc22.x86_64 is a duplicate with
             : gstreamer1-1.4.1-1.fc22.x86_64
        Upgraded      gstreamer1-1.4.2-1.fc22.x86_64 (unknown)
    duplicate: gtk3-3.14.0-1.fc22.x86_64 is a duplicate with
             : gtk3-3.13.8-1.fc22.x86_64
        Upgraded      gtk3-3.14.0-1.fc22.x86_64 @rawhide/21
    duplicate: gvfs-1.22.0-1.fc22.x86_64 is a duplicate with
             : gvfs-1.21.91-1.fc22.x86_64
        Upgraded      gvfs-1.22.0-1.fc22.x86_64 (unknown)
    duplicate: gvfs-fuse-1.22.0-1.fc22.x86_64 is a duplicate with
             : gvfs-fuse-1.21.91-1.fc22.x86_64
        Upgraded      gvfs-fuse-1.22.0-1.fc22.x86_64 (unknown)
    duplicate: hwdata-0.270-2.fc22.noarch is a duplicate with
             : hwdata-0.269-1.fc22.noarch
        Upgraded      hwdata-0.270-2.fc22.noarch (unknown)
    duplicate: hyphen-2.8.8-1.fc22.x86_64 is a duplicate with
             : hyphen-2.8.7-3.fc22.x86_64
        Installed     hyphen-2.8.8-1.fc22.x86_64 (unknown)
    duplicate: ipset-6.22-1.fc22.x86_64 is a duplicate with
             : ipset-6.21.1-4.fc22.x86_64
        Installed     ipset-6.22-1.fc22.x86_64 (unknown)
    duplicate: ipset-libs-6.22-1.fc22.x86_64 is a duplicate with
             : ipset-libs-6.21.1-4.fc22.x86_64
        Installed     ipset-libs-6.22-1.fc22.x86_64 (unknown)
    duplicate: 1:java-1.8.0-openjdk-1.8.0.40-9.b02.fc22.x86_64 is a duplicate
             : with 1:java-1.8.0-openjdk-1.8.0.40-8.b02.fc22.x86_64
        Upgraded      1:java-1.8.0-openjdk-1.8.0.40-9.b02.fc22.x86_64 @rawhide/21
    duplicate: 1:java-1.8.0-openjdk-headless-1.8.0.40-9.b02.fc22.x86_64 is a
             : duplicate with
             : 1:java-1.8.0-openjdk-headless-1.8.0.40-8.b02.fc22.x86_64
        Upgraded      1:java-1.8.0-openjdk-headless-1.8.0.40-9.b02.fc22.x86_64 @rawhide/21
    duplicate: kexec-tools-2.0.7-10.fc22.x86_64 is a duplicate with
             : kexec-tools-2.0.7-8.fc22.x86_64
        Upgraded      kexec-tools-2.0.7-10.fc22.x86_64 @rawhide/21
    duplicate: kpartx-0.4.9-68.fc22.x86_64 is a duplicate with
             : kpartx-0.4.9-67.fc22.x86_64
        Upgraded      kpartx-0.4.9-68.fc22.x86_64 (unknown)
    duplicate: libcgroup-0.41-6.fc22.x86_64 is a duplicate with
             : libcgroup-0.41-5.fc22.x86_64
        Installed     libcgroup-0.41-6.fc22.x86_64 (unknown)
    duplicate: libdvdnav-5.0.1-1.fc22.x86_64 is a duplicate with
             : libdvdnav-4.2.1-4.fc22.x86_64
        Upgraded      libdvdnav-5.0.1-1.fc22.x86_64 (unknown)
    duplicate: libdvdread-5.0.0-1.fc22.x86_64 is a duplicate with
             : libdvdread-4.9.9-3.fc22.x86_64
        Upgraded      libdvdread-5.0.0-1.fc22.x86_64 @koji/21
    duplicate: libgcc-4.9.1-10.fc22.i686 is a duplicate with
             : libgcc-4.9.1-9.fc22.x86_64
        Upgraded      libgcc-4.9.1-10.fc22.i686 (unknown)
    duplicate: libgee-0.16.0-1.fc22.x86_64 is a duplicate with
             : libgee-0.15.90-1.fc22.x86_64
        Upgraded      libgee-0.16.0-1.fc22.x86_64 (unknown)
    duplicate: libgfortran-4.9.1-10.fc22.x86_64 is a duplicate with
             : libgfortran-4.9.1-9.fc22.x86_64
        Upgraded      libgfortran-4.9.1-10.fc22.x86_64 (unknown)
    duplicate: libgomp-4.9.1-10.fc22.x86_64 is a duplicate with
             : libgomp-4.9.1-9.fc22.x86_64
        Upgraded      libgomp-4.9.1-10.fc22.x86_64 (unknown)
    duplicate: libgpg-error-1.16-1.fc22.x86_64 is a duplicate with
             : libgpg-error-1.13-3.fc22.x86_64
        Upgraded      libgpg-error-1.16-1.fc22.x86_64 @rawhide/21
    duplicate: libipa_hbac-1.12.1-2.fc22.x86_64 is a duplicate with
             : libipa_hbac-1.12.1-1.fc22.x86_64
        Upgraded      libipa_hbac-1.12.1-2.fc22.x86_64 (unknown)
    duplicate: liblouis-2.6.0-1.fc22.x86_64 is a duplicate with
             : liblouis-2.5.4-5.fc22.x86_64
        Installed     liblouis-2.6.0-1.fc22.x86_64 (unknown)
    duplicate: libmediaart-0.7.0-1.fc22.x86_64 is a duplicate with
             : libmediaart-0.6.0-1.fc22.x86_64
        Upgraded      libmediaart-0.7.0-1.fc22.x86_64 @rawhide/21
    duplicate: libpipeline-1.3.1-1.fc22.x86_64 is a duplicate with
             : libpipeline-1.3.0-4.fc22.x86_64
        Upgraded      libpipeline-1.3.1-1.fc22.x86_64 (unknown)
    duplicate: libpng15-1.5.19-1.fc22.x86_64 is a duplicate with
             : libpng15-1.5.18-3.fc22.x86_64
        Upgraded      libpng15-1.5.19-1.fc22.x86_64 (unknown)
    duplicate: libquadmath-4.9.1-10.fc22.x86_64 is a duplicate with
             : libquadmath-4.9.1-9.fc22.x86_64
        Upgraded      libquadmath-4.9.1-10.fc22.x86_64 (unknown)
    duplicate: libseccomp-2.1.1-6.fc22.x86_64 is a duplicate with
             : libseccomp-2.1.1-5.fc22.x86_64
        Upgraded      libseccomp-2.1.1-6.fc22.x86_64 @koji/21
    duplicate: libsecret-0.18-5.fc22.x86_64 is a duplicate with
             : libsecret-0.18-4.fc22.x86_64
        Upgraded      libsecret-0.18-5.fc22.x86_64 @rawhide/21
    duplicate: libsoup-2.48.0-1.fc22.x86_64 is a duplicate with
             : libsoup-2.47.4-2.fc22.x86_64
        Upgraded      libsoup-2.48.0-1.fc22.x86_64 (unknown)
    duplicate: libsss_idmap-1.12.1-2.fc22.x86_64 is a duplicate with
             : libsss_idmap-1.12.1-1.fc22.x86_64
        Upgraded      libsss_idmap-1.12.1-2.fc22.x86_64 (unknown)
    duplicate: libsss_nss_idmap-1.12.1-2.fc22.x86_64 is a duplicate with
             : libsss_nss_idmap-1.12.1-1.fc22.x86_64
        Upgraded      libsss_nss_idmap-1.12.1-2.fc22.x86_64 (unknown)
    duplicate: libstdc++-4.9.1-10.fc22.x86_64 is a duplicate with
             : libstdc++-4.9.1-9.fc22.x86_64
        Upgraded      libstdc++-4.9.1-10.fc22.x86_64 (unknown)
    duplicate: libtasn1-4.2-1.fc22.x86_64 is a duplicate with
             : libtasn1-4.1-2.fc22.x86_64
        Upgraded      libtasn1-4.2-1.fc22.x86_64 (unknown)
    duplicate: libtdb-1.3.1-1.fc22.x86_64 is a duplicate with
             : libtdb-1.3.0-4.fc22.x86_64
        Upgraded      libtdb-1.3.1-1.fc22.x86_64 (unknown)
    duplicate: libwayland-client-1.6.0-1.fc22.x86_64 is a duplicate with
             : libwayland-client-1.5.91-1.fc22.x86_64
        Upgraded      libwayland-client-1.6.0-1.fc22.x86_64 @koji/21
    duplicate: libwayland-cursor-1.6.0-1.fc22.x86_64 is a duplicate with
             : libwayland-cursor-1.5.91-1.fc22.x86_64
        Upgraded      libwayland-cursor-1.6.0-1.fc22.x86_64 @koji/21
    duplicate: libwayland-server-1.6.0-1.fc22.x86_64 is a duplicate with
             : libwayland-server-1.5.91-1.fc22.x86_64
        Upgraded      libwayland-server-1.6.0-1.fc22.x86_64 @koji/21
    duplicate: libxkbcommon-0.4.3-2.fc22.x86_64 is a duplicate with
             : libxkbcommon-0.4.3-1.fc22.x86_64
        Upgraded      libxkbcommon-0.4.3-2.fc22.x86_64 (unknown)
    duplicate: libxkbcommon-x11-0.4.3-2.fc22.x86_64 is a duplicate with
             : libxkbcommon-x11-0.4.3-1.fc22.x86_64
        Upgraded      libxkbcommon-x11-0.4.3-2.fc22.x86_64 (unknown)
    duplicate: lightdm-1.10.2-1.fc22.x86_64 is a duplicate with
             : lightdm-1.10.1-5.fc22.x86_64
        Upgraded      lightdm-1.10.2-1.fc22.x86_64 (unknown)
    duplicate: lightdm-gobject-1.10.2-1.fc22.x86_64 is a duplicate with
             : lightdm-gobject-1.10.1-5.fc22.x86_64
        Upgraded      lightdm-gobject-1.10.2-1.fc22.x86_64 (unknown)
    duplicate: lockdev-1.0.4-0.18.20111007git.fc22.x86_64 is a duplicate with
             : lockdev-1.0.4-0.17.20111007git.fc22.x86_64
        Upgraded      lockdev-1.0.4-0.18.20111007git.fc22.x86_64 (unknown)
    duplicate: man-db-2.6.7.1-7.fc22.x86_64 is a duplicate with
             : man-db-2.6.7.1-6.fc22.x86_64
        Upgraded      man-db-2.6.7.1-7.fc22.x86_64 (unknown)
    duplicate: 2:microcode_ctl-2.1-8.fc22.x86_64 is a duplicate with
             : 2:microcode_ctl-2.1-7.fc22.x86_64
        Erased        2:microcode_ctl-2.1-8.fc22.x86_64 (unknown)
    duplicate: 1:nautilus-sendto-3.8.2-1.fc22.x86_64 is a duplicate with
             : 1:nautilus-sendto-3.8.1-3.fc22.x86_64
        Installed     1:nautilus-sendto-3.8.2-1.fc22.x86_64 (unknown)
    duplicate: neon-0.30.1-2.fc22.x86_64 is a duplicate with
             : neon-0.30.0-4.fc22.x86_64
        Installed     neon-0.30.1-2.fc22.x86_64 (unknown)
    duplicate: 1:nfs-utils-1.3.0-7.0.fc22.x86_64 is a duplicate with
             : 1:nfs-utils-1.3.0-6.0.fc22.x86_64
        Upgraded      1:nfs-utils-1.3.0-7.0.fc22.x86_64 @rawhide/21
    duplicate: openal-soft-1.16.0-3.fc22.x86_64 is a duplicate with
             : openal-soft-1.16.0-2.fc22.x86_64
        Upgraded      openal-soft-1.16.0-3.fc22.x86_64 @rawhide/21
    duplicate: p11-kit-0.21.3-1.fc22.x86_64 is a duplicate with
             : p11-kit-0.21.2-1.fc22.x86_64
        Upgraded      p11-kit-0.21.3-1.fc22.x86_64 (unknown)
    duplicate: p11-kit-trust-0.21.3-1.fc22.x86_64 is a duplicate with
             : p11-kit-trust-0.21.2-1.fc22.x86_64
        Upgraded      p11-kit-trust-0.21.3-1.fc22.x86_64 (unknown)
    duplicate: pango-1.36.8-1.fc22.x86_64 is a duplicate with
             : pango-1.36.7-1.fc22.x86_64
        Upgraded      pango-1.36.8-1.fc22.x86_64 @rawhide/21
    duplicate: pcsc-lite-ccid-1.4.18-1.fc22.x86_64 is a duplicate with
             : pcsc-lite-ccid-1.4.17-2.fc22.x86_64
        Installed     pcsc-lite-ccid-1.4.18-1.fc22.x86_64 (unknown)
    duplicate: 4:perl-5.20.1-309.fc22.x86_64 is a duplicate with
             : 4:perl-5.20.0-307.fc22.x86_64
        Upgraded      4:perl-5.20.1-309.fc22.x86_64 (unknown)
    duplicate: perl-Compress-Raw-Bzip2-2.066-1.fc22.x86_64 is a duplicate with
             : perl-Compress-Raw-Bzip2-2.064-311.fc22.x86_64
        Upgraded      perl-Compress-Raw-Bzip2-2.066-1.fc22.x86_64 (unknown)
    duplicate: perl-Compress-Raw-Zlib-2.066-1.fc22.x86_64 is a duplicate with
             : perl-Compress-Raw-Zlib-2.065-311.fc22.x86_64
        Upgraded      perl-Compress-Raw-Zlib-2.066-1.fc22.x86_64 (unknown)
    duplicate: perl-Data-Dumper-2.154-1.fc22.x86_64 is a duplicate with
             : perl-Data-Dumper-2.151-311.fc22.x86_64
        Installed     perl-Data-Dumper-2.154-1.fc22.x86_64 (unknown)
    duplicate: perl-ExtUtils-Embed-1.32-309.fc22.noarch is a duplicate with
             : perl-ExtUtils-Embed-1.32-307.fc22.noarch
        Upgraded      perl-ExtUtils-Embed-1.32-309.fc22.noarch (unknown)
    duplicate: perl-ExtUtils-Install-1.67-309.fc22.noarch is a duplicate with
             : perl-ExtUtils-Install-1.67-307.fc22.noarch
        Upgraded      perl-ExtUtils-Install-1.67-309.fc22.noarch (unknown)
    duplicate: 1:perl-Module-CoreList-5.020001-309.fc22.noarch is a duplicate
             : with 1:perl-Module-CoreList-3.11-307.fc22.noarch
        Upgraded      1:perl-Module-CoreList-5.020001-309.fc22.noarch (unknown)
    duplicate: perl-Net-DNS-0.80-1.fc22.x86_64 is a duplicate with
             : perl-Net-DNS-0.79-2.fc22.x86_64
        Upgraded      perl-Net-DNS-0.80-1.fc22.x86_64 (unknown)
    duplicate: 4:perl-devel-5.20.1-309.fc22.x86_64 is a duplicate with
             : 4:perl-devel-5.20.0-307.fc22.x86_64
        Upgraded      4:perl-devel-5.20.1-309.fc22.x86_64 (unknown)
    duplicate: 4:perl-libs-5.20.1-309.fc22.x86_64 is a duplicate with
             : 4:perl-libs-5.20.0-307.fc22.x86_64
        Upgraded      4:perl-libs-5.20.1-309.fc22.x86_64 (unknown)
    duplicate: 4:perl-macros-5.20.1-309.fc22.x86_64 is a duplicate with
             : 4:perl-macros-5.20.0-307.fc22.x86_64
        Upgraded      4:perl-macros-5.20.1-309.fc22.x86_64 (unknown)
    duplicate: policycoreutils-2.3-11.fc22.x86_64 is a duplicate with
             : policycoreutils-2.3-10.fc22.x86_64
        Upgraded      policycoreutils-2.3-11.fc22.x86_64 (unknown)
    duplicate: policycoreutils-python-2.3-11.fc22.x86_64 is a duplicate with
             : policycoreutils-python-2.3-10.fc22.x86_64
        Upgraded      policycoreutils-python-2.3-11.fc22.x86_64 (unknown)
    duplicate: policycoreutils-sandbox-2.3-11.fc22.x86_64 is a duplicate with
             : policycoreutils-sandbox-2.3-10.fc22.x86_64
        Upgraded      policycoreutils-sandbox-2.3-11.fc22.x86_64 (unknown)
    duplicate: poppler-data-0.4.7-2.fc22.noarch is a duplicate with
             : poppler-data-0.4.7-1.fc22.noarch
        Upgraded      poppler-data-0.4.7-2.fc22.noarch @koji/21
    duplicate: procps-ng-3.3.10-1.fc22.x86_64 is a duplicate with
             : procps-ng-3.3.9-12.fc22.x86_64
        Upgraded      procps-ng-3.3.10-1.fc22.x86_64 @rawhide/21
    duplicate: pyatspi-2.14.0-1.fc22.noarch is a duplicate with
             : pyatspi-2.12.0-3.fc21.noarch
        Upgraded      pyatspi-2.14.0-1.fc22.noarch (unknown)
    duplicate: pygobject3-3.14.0-1.fc22.x86_64 is a duplicate with
             : pygobject3-3.13.91-1.fc22.x86_64
        Upgraded      pygobject3-3.14.0-1.fc22.x86_64 @koji/21
    duplicate: pygobject3-base-3.14.0-1.fc22.x86_64 is a duplicate with
             : pygobject3-base-3.13.91-1.fc22.x86_64
        Upgraded      pygobject3-base-3.14.0-1.fc22.x86_64 @koji/21
    duplicate: python3-PyXB-1.2.4-0.2.gitc494ba3.fc22.noarch is a duplicate with
             : python3-PyXB-1.2.4-0.1.gitc494ba3.fc22.noarch
        Upgraded      python3-PyXB-1.2.4-0.2.gitc494ba3.fc22.noarch (unknown)
    duplicate: 2:rmt-1.5.3-3.fc22.x86_64 is a duplicate with
             : 2:rmt-1.5.3-2.fc22.x86_64
        Upgraded      2:rmt-1.5.3-3.fc22.x86_64 (unknown)
    duplicate: rp-pppoe-3.11-12.fc22.x86_64 is a duplicate with
             : rp-pppoe-3.11-11.fc22.x86_64
        Upgraded      rp-pppoe-3.11-12.fc22.x86_64 @rawhide/21
    duplicate: rpm-4.12.0.1-1.fc22.x86_64 is a duplicate with
             : rpm-4.12.0-0.rc1.2.fc22.x86_64
        Upgraded      rpm-4.12.0.1-1.fc22.x86_64 @rawhide/21
    duplicate: rpm-build-libs-4.12.0.1-1.fc22.x86_64 is a duplicate with
             : rpm-build-libs-4.12.0-0.rc1.2.fc22.x86_64
        Upgraded      rpm-build-libs-4.12.0.1-1.fc22.x86_64 (unknown)
    duplicate: rpm-libs-4.12.0.1-1.fc22.x86_64 is a duplicate with
             : rpm-libs-4.12.0-0.rc1.2.fc22.x86_64
        Upgraded      rpm-libs-4.12.0.1-1.fc22.x86_64 (unknown)
    duplicate: rpm-plugin-selinux-4.12.0.1-1.fc22.x86_64 is a duplicate with
             : rpm-plugin-selinux-4.12.0-0.rc1.2.fc22.x86_64
        Upgraded      rpm-plugin-selinux-4.12.0.1-1.fc22.x86_64 (unknown)
    duplicate: sip-4.16.3-1.fc22.x86_64 is a duplicate with
             : sip-4.16.2-2.fc22.x86_64
        Upgraded      sip-4.16.3-1.fc22.x86_64 (unknown)
    duplicate: sssd-client-1.12.1-2.fc22.x86_64 is a duplicate with
             : sssd-client-1.12.1-1.fc22.x86_64
        Upgraded      sssd-client-1.12.1-2.fc22.x86_64 (unknown)
    duplicate: storaged-0.3.1-1.fc22.x86_64 is a duplicate with
             : storaged-0.3.0-3.fc22.x86_64
        Installed     storaged-0.3.1-1.fc22.x86_64 (unknown)
    duplicate: stunnel-5.04-1.fc22.x86_64 is a duplicate with
             : stunnel-5.03-1.fc22.x86_64
        Upgraded      stunnel-5.04-1.fc22.x86_64 @rawhide/21
    duplicate: subunit-0.0.21-1.fc22.x86_64 is a duplicate with
             : subunit-0.0.18-5.fc22.x86_64
        Upgraded      subunit-0.0.21-1.fc22.x86_64 (unknown)
    duplicate: subversion-libs-1.8.10-6.fc22.x86_64 is a duplicate with
             : subversion-libs-1.8.10-3.fc22.x86_64
        Upgraded      subversion-libs-1.8.10-6.fc22.x86_64 (unknown)
    duplicate: suitesparse-4.3.1-3.fc22.x86_64 is a duplicate with
             : suitesparse-4.3.1-1.fc22.x86_64
        Upgraded      suitesparse-4.3.1-3.fc22.x86_64 (unknown)
    duplicate: systemtap-sdt-devel-2.7-0.22.gf48e4f1c41b8.fc22.x86_64 is a
             : duplicate with
             : systemtap-sdt-devel-2.7-0.1.ge4542435d372.fc22.x86_64
        Upgraded      systemtap-sdt-devel-2.7-0.22.gf48e4f1c41b8.fc22.x86_64 @rawhide/21
    duplicate: uboot-tools-2014.10-0.3.rc2.fc22.x86_64 is a duplicate with
             : uboot-tools-2014.04-7.fc22.x86_64
        Upgraded      uboot-tools-2014.10-0.3.rc2.fc22.x86_64 @rawhide/21
    duplicate: x264-libs-0.142-7.20140826git021c0dc.fc21.x86_64 is a duplicate
             : with x264-libs-0.142-6.20140728gitaf8e768.fc21.x86_64
        Upgraded      x264-libs-0.142-7.20140826git021c0dc.fc21.x86_64 (unknown)
    duplicate: xen-libs-4.4.1-4.fc22.x86_64 is a duplicate with
             : xen-libs-4.4.1-1.fc22.x86_64
        Upgraded      xen-libs-4.4.1-4.fc22.x86_64 (unknown)
    duplicate: xen-licenses-4.4.1-4.fc22.x86_64 is a duplicate with
             : xen-licenses-4.4.1-1.fc22.x86_64
        Upgraded      xen-licenses-4.4.1-4.fc22.x86_64 (unknown)
    duplicate: xfce4-settings-4.11.3-1.fc22.x86_64 is a duplicate with
             : xfce4-settings-4.11.2-1.fc21.x86_64
        Upgraded      xfce4-settings-4.11.3-1.fc22.x86_64 @koji/21
    duplicate: xfdesktop-4.11.8-1.fc22.x86_64 is a duplicate with
             : xfdesktop-4.11.7-1.fc22.x86_64
        Upgraded      xfdesktop-4.11.8-1.fc22.x86_64 (unknown)
    duplicate: xorg-x11-drv-synaptics-1.8.1-1.fc22.x86_64 is a duplicate with
             : xorg-x11-drv-synaptics-1.8.0-8.fc22.x86_64
        Upgraded      xorg-x11-drv-synaptics-1.8.1-1.fc22.x86_64 @rawhide/21
    duplicate: xterm-311-1.fc22.x86_64 is a duplicate with
             : xterm-310-2.fc22.x86_64
        Upgraded      xterm-311-1.fc22.x86_64 @rawhide/21
    duplicate: yelp-xsl-3.14.0-1.fc22.noarch is a duplicate with
             : yelp-xsl-3.12.0-2.fc21.noarch
        Upgraded      yelp-xsl-3.14.0-1.fc22.noarch (unknown)
Comment 6 Radek Holy 2015-04-02 03:56:16 EDT
So, since we no longer ship the Python 3 version of the migrate plugin, the original problem should no longer appear but because "dnf-3 history list" and "dnf-3 history info" raises the same traceback, let's focus on these commands. Thank you for the help
Comment 7 Honza Silhan 2015-04-03 09:08:37 EDT
PR: https://github.com/rpm-software-management/dnf/pull/248
Comment 8 Fedora Update System 2015-05-02 09:49:40 EDT
dnf-plugins-core-0.1.7-1.fc22,hawkey-0.5.5-1.fc22,dnf-1.0.0-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/dnf-plugins-core-0.1.7-1.fc22,hawkey-0.5.5-1.fc22,dnf-1.0.0-1.fc22
Comment 9 Fedora Update System 2015-05-03 13:24:37 EDT
Package dnf-plugins-core-0.1.7-1.fc22, hawkey-0.5.5-1.fc22, dnf-1.0.0-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-plugins-core-0.1.7-1.fc22 hawkey-0.5.5-1.fc22 dnf-1.0.0-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-7483/dnf-plugins-core-0.1.7-1.fc22,hawkey-0.5.5-1.fc22,dnf-1.0.0-1.fc22
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2015-05-08 03:27:16 EDT
dnf-plugins-core-0.1.7-1.fc22, hawkey-0.5.5-1.fc22, dnf-1.0.0-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.